aboutsummaryrefslogtreecommitdiffstats
path: root/main/dovecot/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-10 12:30:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-10 12:30:16 +0000
commit2e17521140965d34b4c816a0ce6fda4300abbe15 (patch)
tree35712b35c6708545cbc862d83136013ce99e9960 /main/dovecot/APKBUILD
parentbb175cd5b8b4f2ea8bf37e8a2b2a3091bd4889cf (diff)
downloadaports-2e17521140965d34b4c816a0ce6fda4300abbe15.tar.gz
aports-2e17521140965d34b4c816a0ce6fda4300abbe15.tar.bz2
aports-2e17521140965d34b4c816a0ce6fda4300abbe15.tar.xz
main/dovecot: hide dl errors
like they do for openbsd. ref #1274
Diffstat (limited to 'main/dovecot/APKBUILD')
-rw-r--r--main/dovecot/APKBUILD11
1 files changed, 10 insertions, 1 deletions
diff --git a/main/dovecot/APKBUILD b/main/dovecot/APKBUILD
index 74f75be6f0..c386c65142 100644
--- a/main/dovecot/APKBUILD
+++ b/main/dovecot/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dovecot
pkgver=2.1.10
-pkgrel=0
+pkgrel=1
pkgdesc="IMAP and POP3 server"
url="http://www.dovecot.org/"
arch="all"
@@ -16,7 +16,11 @@ install="dovecot.pre-install dovecot.post-install"
subpackages="$pkgname-sample-config:config $pkgname-doc $pkgname-dev
$pkgname-pgsql $pkgname-mysql $pkgname-sqlite $pkgname-gssapi
$pkgname-ldap"
+patches="
+ hide-dl-errors.patch
+ "
source="http://www.dovecot.org/releases/${pkgver%.*}/$pkgname-$pkgver.tar.gz
+ $patches
dovecot.logrotate
dovecot.initd
dovecot-sample-config.post-install
@@ -24,6 +28,10 @@ source="http://www.dovecot.org/releases/${pkgver%.*}/$pkgname-$pkgver.tar.gz
prepare() {
cd "$srcdir"/$pkgname-$pkgver
+ for i in $patches; do
+ msg $i
+ patch -p1 -i "$srcdir"/$i || return 1
+ done
}
build() {
@@ -117,6 +125,7 @@ config() {
}
md5sums="a5a4b3c444cf37e2c6bb6df3af87e18e dovecot-2.1.10.tar.gz
+49f7a03284cc657857fe2ae22b8c82a0 hide-dl-errors.patch
aec5cc797ab2acf72ce3b6bb1030345f dovecot.logrotate
59f210c712284a82e3a65b4126ddd99c dovecot.initd
95cf57ecc835882228bbbb019ce3abf8 dovecot-sample-config.post-install"